Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.76.44.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
127.76.44.0
Broadcast address
127.76.47.255
First usable
127.76.44.1
Last usable
127.76.47.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F4C2C00 · Integer 2135698432 to 2135699455
Reverse DNS zones
44.76.127.in-addr.arpa
45.76.127.in-addr.arpa
46.76.127.in-addr.arpa
47.76.127.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.01001100.00101100.00000000127.76.44.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01111111.01001100.00101100.00000000127.76.44.0
Broadcast01111111.01001100.00101111.11111111127.76.47.255
Split into smaller subnets/28

127.76.44.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.76.44.0/28127.76.44.1 to 127.76.44.14127.76.44.1514
2127.76.44.16/28127.76.44.17 to 127.76.44.30127.76.44.3114
3127.76.44.32/28127.76.44.33 to 127.76.44.46127.76.44.4714
4127.76.44.48/28127.76.44.49 to 127.76.44.62127.76.44.6314
5127.76.44.64/28127.76.44.65 to 127.76.44.78127.76.44.7914
6127.76.44.80/28127.76.44.81 to 127.76.44.94127.76.44.9514
7127.76.44.96/28127.76.44.97 to 127.76.44.110127.76.44.11114
8127.76.44.112/28127.76.44.113 to 127.76.44.126127.76.44.12714
9127.76.44.128/28127.76.44.129 to 127.76.44.142127.76.44.14314
10127.76.44.144/28127.76.44.145 to 127.76.44.158127.76.44.15914
11127.76.44.160/28127.76.44.161 to 127.76.44.174127.76.44.17514
12127.76.44.176/28127.76.44.177 to 127.76.44.190127.76.44.19114
13127.76.44.192/28127.76.44.193 to 127.76.44.206127.76.44.20714
14127.76.44.208/28127.76.44.209 to 127.76.44.222127.76.44.22314
15127.76.44.224/28127.76.44.225 to 127.76.44.238127.76.44.23914
16127.76.44.240/28127.76.44.241 to 127.76.44.254127.76.44.25514
17127.76.45.0/28127.76.45.1 to 127.76.45.14127.76.45.1514
18127.76.45.16/28127.76.45.17 to 127.76.45.30127.76.45.3114
19127.76.45.32/28127.76.45.33 to 127.76.45.46127.76.45.4714
20127.76.45.48/28127.76.45.49 to 127.76.45.62127.76.45.6314
21127.76.45.64/28127.76.45.65 to 127.76.45.78127.76.45.7914
22127.76.45.80/28127.76.45.81 to 127.76.45.94127.76.45.9514
23127.76.45.96/28127.76.45.97 to 127.76.45.110127.76.45.11114
24127.76.45.112/28127.76.45.113 to 127.76.45.126127.76.45.12714
25127.76.45.128/28127.76.45.129 to 127.76.45.142127.76.45.14314
26127.76.45.144/28127.76.45.145 to 127.76.45.158127.76.45.15914
27127.76.45.160/28127.76.45.161 to 127.76.45.174127.76.45.17514
28127.76.45.176/28127.76.45.177 to 127.76.45.190127.76.45.19114
29127.76.45.192/28127.76.45.193 to 127.76.45.206127.76.45.20714
30127.76.45.208/28127.76.45.209 to 127.76.45.222127.76.45.22314
31127.76.45.224/28127.76.45.225 to 127.76.45.238127.76.45.23914
32127.76.45.240/28127.76.45.241 to 127.76.45.254127.76.45.25514
33127.76.46.0/28127.76.46.1 to 127.76.46.14127.76.46.1514
34127.76.46.16/28127.76.46.17 to 127.76.46.30127.76.46.3114
35127.76.46.32/28127.76.46.33 to 127.76.46.46127.76.46.4714
36127.76.46.48/28127.76.46.49 to 127.76.46.62127.76.46.6314
37127.76.46.64/28127.76.46.65 to 127.76.46.78127.76.46.7914
38127.76.46.80/28127.76.46.81 to 127.76.46.94127.76.46.9514
39127.76.46.96/28127.76.46.97 to 127.76.46.110127.76.46.11114
40127.76.46.112/28127.76.46.113 to 127.76.46.126127.76.46.12714
41127.76.46.128/28127.76.46.129 to 127.76.46.142127.76.46.14314
42127.76.46.144/28127.76.46.145 to 127.76.46.158127.76.46.15914
43127.76.46.160/28127.76.46.161 to 127.76.46.174127.76.46.17514
44127.76.46.176/28127.76.46.177 to 127.76.46.190127.76.46.19114
45127.76.46.192/28127.76.46.193 to 127.76.46.206127.76.46.20714
46127.76.46.208/28127.76.46.209 to 127.76.46.222127.76.46.22314
47127.76.46.224/28127.76.46.225 to 127.76.46.238127.76.46.23914
48127.76.46.240/28127.76.46.241 to 127.76.46.254127.76.46.25514
49127.76.47.0/28127.76.47.1 to 127.76.47.14127.76.47.1514
50127.76.47.16/28127.76.47.17 to 127.76.47.30127.76.47.3114
51127.76.47.32/28127.76.47.33 to 127.76.47.46127.76.47.4714
52127.76.47.48/28127.76.47.49 to 127.76.47.62127.76.47.6314
53127.76.47.64/28127.76.47.65 to 127.76.47.78127.76.47.7914
54127.76.47.80/28127.76.47.81 to 127.76.47.94127.76.47.9514
55127.76.47.96/28127.76.47.97 to 127.76.47.110127.76.47.11114
56127.76.47.112/28127.76.47.113 to 127.76.47.126127.76.47.12714
57127.76.47.128/28127.76.47.129 to 127.76.47.142127.76.47.14314
58127.76.47.144/28127.76.47.145 to 127.76.47.158127.76.47.15914
59127.76.47.160/28127.76.47.161 to 127.76.47.174127.76.47.17514
60127.76.47.176/28127.76.47.177 to 127.76.47.190127.76.47.19114
61127.76.47.192/28127.76.47.193 to 127.76.47.206127.76.47.20714
62127.76.47.208/28127.76.47.209 to 127.76.47.222127.76.47.22314
63127.76.47.224/28127.76.47.225 to 127.76.47.238127.76.47.23914
64127.76.47.240/28127.76.47.241 to 127.76.47.254127.76.47.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses